<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/calmWhite"
    tools:context=".monitoring.ShowSelfMonitoring">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:id="@+id/header"
        android:layout_alignParentTop="true"
        android:backgroundTint="@color/Dark"
        android:background="@drawable/top_popup_sheet"
        android:elevation="20dp">
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:id="@+id/btnBack"
            android:orientation="horizontal">
            <ImageView
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_marginStart="15dp"
                android:layout_gravity="center"
                android:scaleType="fitCenter"
                android:src="@drawable/left_arrow3"
                app:tint="@color/White" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginStart="10dp"
                android:textSize="16sp"
                android:textColor="@color/White"
                android:textStyle="bold"
                android:fontFamily="@font/lato_regular"
                android:text="Hapus Laporan"/>
        </LinearLayout>
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_below="@id/header"
        android:id="@+id/rel1"
        android:layout_height="wrap_content">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/Gray1">
            <com.denzcoskun.imageslider.ImageSlider
                android:id="@+id/imageSlider"
                android:layout_width="wrap_content"
                android:layout_height="300dp"
                app:iss_auto_cycle="false"
                app:iss_placeholder="@drawable/ilsa"
                app:iss_delay="0"
                app:iss_period="5000" />
        </LinearLayout>
    </RelativeLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/rel1">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/layoutDes"
            android:orientation="vertical">
            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="end"
                android:background="@color/Dark"
                android:padding="5dp"
                android:text="0 day"
                android:id="@+id/dayMonitoring"
                android:layout_gravity="end"
                android:fontFamily="@font/lato_regular"
                android:textSize="12sp"
                android:textColor="@color/White"/>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Deskripsi"
                        android:textSize="14sp"
                        android:textStyle="bold"
                        android:textColor="@color/CalmDark"
                        android:fontFamily="@font/lato_regular"/>

                    <TextView
                        android:id="@+id/deskripsiMonitoring"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp"
                        android:layout_marginEnd="10dp"
                        android:layout_marginStart="5dp"
                        android:textColor="@color/Gray3"
                        android:fontFamily="sans-serif"
                        android:text="Tidak ada deskripsi"
                        android:textSize="12sp" />

                </LinearLayout>
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="5dp"
                android:background="@color/Gray1"/>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_margin="10dp"
                android:id="@+id/layUploader"
                android:layout_below="@id/tvDescription"
                android:layout_height="wrap_content">
                <de.hdodenhof.circleimageview.CircleImageView
                    android:id="@+id/ivProfile"
                    android:layout_width="40dp"
                    android:src="@drawable/user_farmer"
                    android:layout_height="40dp"/>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_toEndOf="@id/ivProfile"
                    android:layout_marginTop="5dp"
                    android:id="@+id/layNama"
                    android:orientation="horizontal">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:id="@+id/uploaderMonitoring"
                        android:text="Name"
                        android:textStyle="bold"
                        android:layout_marginStart="10dp"
                        android:textSize="14sp"
                        android:textColor="@color/Dark"
                        android:fontFamily="@font/lato_regular"/>
                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="5dp"
                        android:layout_gravity="center"
                        android:gravity="center">
                        <TextView
                            android:id="@+id/jabatanLevel1"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingLeft="5dp"
                            android:paddingRight="5dp"
                            android:paddingBottom="3dp"
                            android:visibility="invisible"
                            android:fontFamily="sans-serif-light"
                            android:paddingTop="3dp"
                            android:background="@drawable/round_jabatan_level1"
                            android:text="Jabatan"
                            android:textColor="#ffffff"
                            android:textSize="8sp" />

                        <TextView
                            android:id="@+id/jabatanLevel2"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingLeft="5dp"
                            android:paddingRight="5dp"
                            android:visibility="invisible"
                            android:fontFamily="sans-serif-light"
                            android:paddingBottom="3dp"
                            android:paddingTop="3dp"
                            android:background="@drawable/round_jabatan_level2"
                            android:text="Jabatan"
                            android:textColor="#ffffff"
                            android:textSize="8sp" />

                        <TextView
                            android:id="@+id/jabatanLevel3"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingLeft="5dp"
                            android:paddingRight="5dp"
                            android:paddingBottom="3dp"
                            android:fontFamily="sans-serif-light"
                            android:visibility="invisible"
                            android:paddingTop="3dp"
                            android:background="@drawable/round_jabatan_level3"
                            android:text="Jabatan"
                            android:textColor="#ffffff"
                            android:textSize="8sp" />

                        <TextView
                            android:id="@+id/jabatanLevel4"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingLeft="5dp"
                            android:paddingRight="5dp"
                            android:paddingBottom="3dp"
                            android:visibility="invisible"
                            android:fontFamily="sans-serif-light"
                            android:paddingTop="3dp"
                            android:background="@drawable/round_jabatan_newbie"
                            android:text="Newbie"
                            android:textColor="@color/Dark"
                            android:textSize="8sp" />
                    </RelativeLayout>
                </LinearLayout>

                <TextView
                    android:id="@+id/tvJabatan"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/layNama"
                    android:layout_marginStart="10dp"
                    android:layout_toEndOf="@id/ivProfile"
                    android:fontFamily="sans-serif-light"
                    android:textColor="@color/Blue"
                    android:textSize="12sp" />
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="5dp"
                android:background="@color/Gray1"/>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:orientation="vertical">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Informasi Laporan"
                        android:textSize="14sp"
                        android:textStyle="bold"
                        android:textColor="@color/Dark"
                        android:fontFamily="@font/lato_regular"/>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp">
                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:id="@+id/layLaporan1">
                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textSize="12sp"
                                android:id="@+id/layTv1"
                                android:fontFamily="sans-serif"
                                android:textColor="@color/Dark"
                                android:text="Laporan"/>

                            <TextView
                                android:id="@+id/jenisLaporMonitoring"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_toEndOf="@id/layTv1"
                                android:fontFamily="sans-serif-light"
                                android:gravity="end"
                                android:text="-"
                                android:textColor="@color/Blue"
                                android:textSize="12sp" />
                        </RelativeLayout>
                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:layout_below="@id/layLaporan1"
                            android:layout_marginTop="15dp"
                            android:id="@+id/layLaporan2">
                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textSize="12sp"
                                android:fontFamily="sans-serif"
                                android:textColor="@color/Dark"
                                android:text="Jenis "
                                android:id="@+id/jenisLapor2Monitoring"/>

                            <TextView
                                android:id="@+id/tipeLaporMonitoring"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_toEndOf="@id/jenisLapor2Monitoring"
                                android:fontFamily="sans-serif-light"
                                android:textColor="@color/Gray3"
                                android:gravity="end"
                                android:text="-"
                                android:textSize="12sp" />
                        </RelativeLayout>
                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:gravity="center"
                            android:layout_below="@id/layLaporan2"
                            android:id="@+id/layLaporan3">
                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textSize="12sp"
                                android:fontFamily="sans-serif"
                                android:textColor="@color/Dark"
                                android:id="@+id/layTv3"
                                android:text="Afdeling"/>
                            <TextView
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:textSize="12sp"
                                android:gravity="end"
                                android:layout_toEndOf="@id/layTv3"
                                android:fontFamily="sans-serif-light"
                                android:id="@+id/afdelingMonitoring"
                                android:textColor="@color/Gray3"
                                android:text="-"/>
                        </RelativeLayout>
                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:gravity="center"
                            android:layout_below="@id/layLaporan3"
                            android:id="@+id/layLaporan4">
                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textSize="12sp"
                                android:fontFamily="sans-serif"
                                android:id="@+id/layTv4"
                                android:textColor="@color/Dark"
                                android:text="Blok"/>
                            <TextView
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:textSize="12sp"
                                android:gravity="end"
                                android:layout_toRightOf="@id/layTv4"
                                android:fontFamily="sans-serif-light"
                                android:textColor="@color/Gray3"
                                android:id="@+id/blokMonitoring"
                                android:text="-"/>
                        </RelativeLayout>
                    </RelativeLayout>

                </LinearLayout>
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="5dp"
                android:background="@color/Gray1"/>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Lokasi"
                android:layout_marginTop="10dp"
                android:layout_marginStart="10dp"
                android:textSize="14sp"
                android:textStyle="bold"
                android:textColor="@color/Dark"
                android:fontFamily="@font/lato_regular"/>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:layout_marginTop="15dp"
                android:layout_marginBottom="10dp"
                app:cardElevation="5dp"
                app:cardCornerRadius="10dp">
                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@color/Dark"
                        android:id="@+id/layFarm"
                        android:padding="3dp"
                        android:gravity="end"
                        android:orientation="horizontal">

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            android:orientation="horizontal">

                            <ImageView
                                android:layout_width="14dp"
                                android:layout_height="14dp"
                                android:src="@drawable/ic_pin" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textSize="14sp"
                                android:layout_marginStart="5dp"
                                android:fontFamily="@font/lato_regular"
                                android:id="@+id/distrikMonitoring"
                                android:textColor="@color/Gray1"
                                android:text="Distrik"/>

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:paddingLeft="8dp"
                                android:paddingRight="8dp"
                                android:textSize="14sp"
                                android:fontFamily="@font/lato_regular"
                                android:textColor="@color/Gray1"
                                android:text="|"/>

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textSize="14sp"
                                android:layout_gravity="bottom"
                                android:fontFamily="@font/lato_regular"
                                android:id="@+id/kebunMonitoring"
                                android:textColor="@color/Gray1"
                                android:text="Kebun"/>
                        </LinearLayout>
                    </RelativeLayout>
                    <fragment
                        android:layout_below="@id/layFarm"
                        android:layout_width="match_parent"
                        android:layout_height="200dp"
                        class="com.google.android.gms.maps.SupportMapFragment"
                        android:id="@+id/mapViewMonitoring">
                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="right">
                            <ImageView
                                android:id="@+id/imgFullscreen"
                                android:layout_width="35dp"
                                android:layout_height="35dp"
                                android:layout_marginRight="5dp"
                                android:layout_marginTop="5dp"
                                android:src="@drawable/ic_baseline_fullscreen_24" />
                        </RelativeLayout>
                    </fragment>
                </RelativeLayout>
            </androidx.cardview.widget.CardView>

            <View
                android:layout_marginTop="10dp"
                android:layout_width="match_parent"
                android:layout_height="5dp"
                android:background="@color/Gray1"/>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Komentar"
                    android:id="@+id/idAtas"
                    android:layout_marginStart="10dp"
                    android:layout_marginTop="10dp"
                    android:textSize="14sp"
                    android:textStyle="bold"
                    android:textColor="@color/Dark"
                    android:fontFamily="@font/lato_regular"/>

                <LinearLayout
                    android:layout_below="@id/idAtas"
                    android:layout_marginTop="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <de.hdodenhof.circleimageview.CircleImageView

                        android:id="@+id/image_comment_profile"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="5dp"
                        android:layout_weight="0.05"
                        android:src="@drawable/user_farmer" />

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.9"
                        android:background="@drawable/round_loading"
                        android:gravity="center">
                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="15dp"
                            android:layout_marginTop="8dp"
                            android:layout_marginBottom="8dp"
                            android:layout_marginEnd="30dp"
                            android:fontFamily="sans-serif"
                            android:textColor="@color/Gray3"
                            android:textSize="14sp"
                            android:text="Komentar..."/>
                    </RelativeLayout>


                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_weight="0.05"
                        android:gravity="center"
                        android:orientation="horizontal">
                        <ImageView
                            android:id="@+id/imageViewComment"
                            android:layout_width="24dp"
                            android:layout_height="24dp"
                            android:src="@drawable/ic_baseline_add_comment_24"
                            app:tint="@color/Dark" />

                        <TextView
                            android:id="@+id/countComment"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textSize="14sp"
                            android:layout_marginStart="5dp"
                            android:textColor="@color/CalmBlack"
                            android:fontFamily="sans-serif"
                            android:text="0" />
                    </LinearLayout>

                </LinearLayout>
            </RelativeLayout>

            <View
                android:layout_marginTop="10dp"
                android:layout_width="match_parent"
                android:layout_height="5dp"
                android:background="@color/Gray1"/>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="10dp"
                android:layout_marginBottom="40dp"
                android:gravity="bottom|center">
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">
                    <TextView
                        android:gravity="bottom"
                        android:id="@+id/textView2"
                        android:fontFamily="sans-serif-light"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/Gray2"
                        android:text="Copyright \u00a9 "
                        android:textSize="10sp" />

                    <TextView
                        android:gravity="bottom"
                        android:id="@+id/yearBottom"
                        android:fontFamily="sans-serif-light"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/Gray2"
                        android:text="-"
                        android:textSize="10sp" />

                    <TextView
                        android:gravity="bottom"
                        android:fontFamily="sans-serif-light"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/Gray2"
                        android:text=" ILSA"
                        android:textSize="10sp" />
                </LinearLayout>
            </RelativeLayout>
        </LinearLayout>
    </ScrollView>

    <LinearLayout
        android:id="@+id/layoutUpload"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_alignParentBottom="true">

        <RelativeLayout
            android:layout_width="match_parent"
            android:gravity="center"
            android:background="@drawable/round_button_01"
            android:backgroundTint="@color/Red2"
            android:layout_margin="10dp"
            android:id="@+id/btnDelete"
            android:layout_height="match_parent">
            <TextView
                android:layout_margin="13dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="14sp"
                android:textStyle="bold"
                android:textAllCaps="false"
                android:textColor="@color/White"
                android:fontFamily="@font/lato_regular"
                android:text="Hapus Data" />
        </RelativeLayout>

    </LinearLayout>
</RelativeLayout>